# KEPM Commands

### Overview

This section lists all the commands in Keeper's Commander (CLI) that are related to Privilege Elevation and Delegation Management (KEPM). These commands provide administrators with powerful tools to manage privilege elevation policies, agents, deployments, and audit reporting. The commands cover creating, viewing, editing, organiing and managing KEPM entities and compliance monitoring.

The following commands are currently supported by SDK:

* [KEPM Sync Commands](#pedm-sync-command)
* [KEPM Deployment Commands](/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-deployment-commands.md)
* [KEPM Agent Commands](/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-agent-commands.md)
* [KEPM Policy Commands](/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-policy-commands.md)
* [KEPM Collection Commands](/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-collection-commands.md)
* [KEPM Approval Commands](/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-approval-commands.md)
* [KEPM Report Commands](/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-report-commands.md)

***

### KEPM Sync Command

Synchronises KEPM data from the backend server to the local cache. This command ensures that local data is up-to-date with the server, supporting both incremental and full synchronization modes.

<details>

<summary>DotNet CLI</summary>

**Command**: Coming Soon

</details>

<details>

<summary>DotNet SDK</summary>

**Command**: Coming Soon

</details>

<details>

<summary>Power Commander</summary>

**Command**: Coming Soon

</details>

<details>

<summary>Python SDK</summary>

**Function:** `PedmPlugin.sync_down`

```python
from keepersdk.plugin.pedm import admin_plugin

plugin = admin_plugin.PedmPlugin(enterprise_loader)
plugin.sync_down(reload=True)
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
